package org.springblade.common.enums;

import lombok.Getter;

@Getter
public enum FacilityStatusEnum {

    ON_LINE("在线", 1),
    OFF_LINE("离线", 2),
    FAULT("故障", 3);

    private String name;
    private Integer value;

    FacilityStatusEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public static String getNameByValue(Integer value) {
        for (FacilityStatusEnum statusEnum : FacilityStatusEnum.values()) {
            if (statusEnum.value.equals(value)) {
                return statusEnum.getName();
            }
        }
        return "未知";
    }
}
