package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.modules.finance.entity.OrderGoods;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * Author pangqijun
 * Date 2023/6/18
 * Description
 */
@Data
public class  AfterSalesRequest {

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty("售后原因")
    @NotNull(message = "售后原因ID不能为空")
    private Long reasonId;

    @ApiModelProperty("售后类型")
    @NotNull(message = "售后类型不能为空")
    private Integer afterSalesType;

    @ApiModelProperty("售后商品")
    @NotEmpty(message = "请选择售后商品")
    private List<OrderGoods> afterGoodsList;

    @ApiModelProperty("售后原因")
    private String reason;

    @ApiModelProperty("补充描述")
    private String afterSaleDescribe;


    @ApiModelProperty("售后商品图片")
    private List<String> images;

}
