package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 设备出货回调
 */
@Data
public class VendingShipReq {

    //成功：{"machineId":"001","orderId":"1234567890","orderGoodsId":"789456132","channelNum":"1","channel":"2","status":"OK"}
    //失败：{"machineId":"001","orderId":"1234567890","orderGoodsId":"789456132","channelNum":"1","channel":"2","status":"FAIL"}

    @ApiModelProperty(value = "设备id")
    @NotBlank(message = "设备id不能为空")
    private String machineId;

    @ApiModelProperty(value = "订单号")
    @NotBlank(message = "订单号不能为空")
    private String saleSn;

    @ApiModelProperty(value = "出货的货道编号")
    @NotBlank(message = "出货的货道编号不能为空")
    private String orderGoodsId;

    @ApiModelProperty(value = "出货的货道编号")
    @NotBlank(message = "出货的货道编号不能为空")
    private String channel;

    @ApiModelProperty(value = "货道出货数量")
    @NotBlank(message = "货道出货数量不能为空")
    private String channelNum;

    @ApiModelProperty(value = "出货状态")
    @NotBlank(message = "出货状态不能为空")
    private String status;

}
