package org.springblade.modules.finance.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.base.BaseEntity;

import java.math.BigDecimal;

/**
 * 售后商品表实体类
 *
 * @author zzyd
 * @since 2023-07-25
 */
@Data
@TableName("t_after_sales_goods")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AfterSalesGoods对象", description = "售后商品表")
public class AfterSalesGoods extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 售后id
     */
    private Long afterSalesId;

    /**
     * 售后商品数量
     */
    private Integer goodsNum;

    /**
     * 团购商品id
     */
    private Long orderGrouponGoodsId;

    /**
     * 商品id
     */
    private Long orderGoodsId;

    /**
     * 商品id
     */
    private String  goodsImg;

    /**
     * 商品id
     */
    private String  goodsName;

    /**
     * 商品id
     */
    private BigDecimal goodsPrice;

}
